Show / Hide Table of Contents

# Class DefaultWebSocketProvider

##### Inheritance

System.Object
DefaultWebSocketProvider

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Net.WebSockets

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public static class DefaultWebSocketProvider

### Fields

| Improve this Doc View Source

#### Instance

##### Declaration

    public static readonly WebSocketProvider Instance

##### Field Value

Type | Description
--- | ---
WebSocketProvider |

### Methods

| Improve this Doc View Source

#### Create(IWebProxy)

##### Declaration

    public static WebSocketProvider Create(IWebProxy proxy = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Net.IWebProxy | proxy |

##### Returns

Type | Description
--- | ---
WebSocketProvider |

##### Exceptions

Type | Condition
--- | ---
System.PlatformNotSupportedException | The default WebSocketProvider is not supported on this platform.